﻿using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;

namespace SelectiveCachingValuesInsideHttpResponsesInPolly.Controllers
{
    [Produces("application/json")]
    [Route("api/[controller]")]
    public class InventoryController : Controller
    {
        static int _counter;
        [HttpGet("{id}")]
        public async Task<IActionResult> Get(int id)
        {
            _counter++;

            if (_counter % 4 == 0)
            {
                await Task.Delay(100); // simulate a delay of 100 milliseconds 
                return Ok(id + 100);
            }

            return NotFound();
        }
    }
}
